# Type alias StructTreeNode

StructTreeNode: { children: (StructTreeNode | StructTreeContent)[]; role: "Root" | string }

Structure tree node. The root node will have a role "Root".

#### Type declaration

- ##### children: (StructTreeNode | StructTreeContent)[]

  ### Property

  Array of StructTreeNode and StructTreeContent objects.

- ##### role: "Root" | string

  ### Property

  element's role, already mapped if a role map exists in the PDF.